Class | YARD::CLI::YardocOptions
In: | lib/yard/cli/yardoc.rb
Parent: | Templates::TemplateOptions

Default options used in +yard doc+ command.

### Attributes

file

[RW]

@return [CodeObjects::ExtraFileObject] the file object being rendered.

      The +object+ key is not used so that a file may be rendered in the context
      of an object's namespace (for generating links).

index | [RW] | @return [Numeric] An index value for rendering sequentially related templates

item

[RW]

@return [CodeObjects::Base] an extra item to send to a template that is not

      the main rendered object

objects

[RW]

@return [Array<CodeObjects::Base>] the list of code objects to render

      the templates with.

readme

[RW]

@return [CodeObjects::ExtraFileObject] the README file object rendered

      along with objects

[Validate]